package com.ximai.common.core.domain;

public class PageParams {

    /**
     * 当前记录起始索引
     */
    public static Integer pageNum;

    /**
     * 每页显示记录数
     */
    public Integer pageSize;

    /**
     * 排序列
     */
    public String orderByColumn;

    /**
     * 排序的方向 "desc" 或者 "asc".
     */
    public String isAsc;

    /**
     * 分页参数合理化
     */
    public Boolean reasonable;

    public static Integer getPageNum() {
        return pageNum;
    }

    public static void setPageNum(Integer pageNum) {
        PageParams.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getOrderByColumn() {
        return orderByColumn;
    }

    public void setOrderByColumn(String orderByColumn) {
        this.orderByColumn = orderByColumn;
    }

    public String getIsAsc() {
        return isAsc;
    }

    public void setIsAsc(String isAsc) {
        this.isAsc = isAsc;
    }

    public Boolean getReasonable() {
        return reasonable;
    }

    public void setReasonable(Boolean reasonable) {
        this.reasonable = reasonable;
    }
}
